| Home | Libraries | People | FAQ | More

###### value::as_uint64 (2 of 2 overloads)

Return the underlying `std::uint64_t`, or throw an exception.

###### Synopsis

    std::uint64_t
    as_uint64() const;

###### Description

If `is_uint64()` is `true`, returns the underlying `std::uint64_t`, otherwise throws an exception.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `! this->is_uint64()`

###### Note

This function is the const-qualified overload of `as_uint64`, which is intended for direct access to the underlying object, if it has the type `std::uint64_t`. It does not convert the underlying object to type `std::uint64_t` even if a lossless conversion is possible. If you are not sure which kind your `value` has, and you only care about getting a `std::uint64_t` number, consider using `to_number` instead.